package com.aiosman.ravenow.ui.imageviewer

import androidx.lifecycle.ViewModel
import com.aiosman.ravenow.entity.MomentImageEntity

object ImageViewerViewModel:ViewModel() {
    var imageList = mutableListOf<MomentImageEntity>()
    var initialIndex = 0
    fun asNew(images: List<MomentImageEntity>, index: Int = 0) {
        imageList.clear()
        imageList.addAll(images)
        initialIndex = index
    }
}